# Generated by Django 5.0.9 on 2024-09-08 03:13

import django.db.models.deletion
import taggit.managers
import utilities.json
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name='DeviceInfo',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False)),
                ('created', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_updated', models.DateTimeField(auto_now=True, null=True)),
                ('custom_field_data', models.JSONField(blank=True, default=dict, encoder=utilities.json.CustomFieldJSONEncoder)),
                ('device_setup_type', models.CharField(default='clean', max_length=100)),
                ('remote_config', models.CharField(blank=True, max_length=100)),
                ('results', models.JSONField(blank=True, default=dict)),
                ('device', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='dcim.device')),
                ('site', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='dcim.site')),
                ('tags', taggit.managers.TaggableManager(through='extras.TaggedItem', to='extras.Tag')),
            ],
            options={
                'ordering': ('site',),
            },
        ),
        migrations.CreateModel(
            name='VlanInfo',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False)),
                ('created', models.DateTimeField(auto_now_add=True, null=True)),
                ('last_updated', models.DateTimeField(auto_now=True, null=True)),
                ('custom_field_data', models.JSONField(blank=True, default=dict, encoder=utilities.json.CustomFieldJSONEncoder)),
                ('results', models.JSONField(blank=True, default=dict)),
                ('site', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='dcim.site')),
                ('tags', taggit.managers.TaggableManager(through='extras.TaggedItem', to='extras.Tag')),
                ('vlan', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='ipam.vlan')),
            ],
            options={
                'ordering': ('site',),
            },
        ),
    ]